#include <stdio.h>

void show(char *q[], int n)
// void show(char **q, int n) // char **q == char *q[]
{
    for (int i = 0; i < n; i++)
    {
        while (*(*(q + i))) // 当本行字符串没有结束时
        {
            printf("%c", *(*(q + i))++); // q[i] == *(q + i)
        }
        printf("\n");
    }
}

int main()
{
    // names 内容存在栈区，names[0] 存放的是字符串的首地址
    // "disen" 是常量，存在常量区，"disen" 的首地址存在栈区
    // 常量区的内容不能修改
    char *names[3] = {"disen", "rose", "jack"};
    show(names, 3);

    return 0;
}